// Rotator Divw
// v 2.1 2009-08-28
// Autor: Adam Major, Copyright: Freshdata.pl
// Licencja: BSD, moesz dowolnie uywa to oprogramowanie do celw komercyjnych i nie komercyjnych, a
// take modyfikowa je w dowolnym zakresie.

// Konfiguracja skryptu
df_cfg = {
	start: 1,    // ID diva startowego (pierwszego) 
	next: 2,    // ID diva nastpnego , zwykle 2, ale nie koniecznie
	cnt: -1,    // ustawiane automatycznie
	current: 1,  // jeli zmieniasz start ustaw tutaj to samo
	delay: 4000,  // opnienie w ms pomidzy zmianami divw - domylnie = 4 s
	show_info: 1, // czy maj by wczone opisy na DIvach : 1 wczone 0 wyczone
	show_nav: 1,  // czy ma by widoczna nawigacja 1: wczona, 0:wyczona.
	int_id: 0	
}	

var titles = new Array();

function df_init()
{
// count number of elements
div_con = document.getElementById('dynamic_file');
divs = div_con.getElementsByTagName('div') 
df_cfg.cnt = divs.length-2;

// set start parameters
if (df_cfg.start > df_cfg.cnt) df_cfg.start = 1;
df_prepare_data(df_cfg.start);
df_start(-1);
}

function df_prepare_data(id)
{
nav = '';	
for (i = 1; i <= df_cfg.cnt; i++)
	{
	df_obj = document.getElementById('df_' + i);	
	if (i == id) 
		nclass = 'class="df_sel"';
	else
		{
		nclass = '';
		df_obj.style.display = 'none';
		
		}
	nav += '<a href="javascript:df_start('+i+')" ' + nclass + '>' + i + '</a>';	
	}	

cdiv = document.getElementById('df_'+id);
cdiv.style.display = 'block';

// build nav
if (df_cfg.show_nav == 1) 
	{
	dnav = document.getElementById('df_nav');
	dnav.innerHTML = nav;
	dnav.style.display = 'block';
	}
	
		
if (df_cfg.show_info == 1) 
	{
	img_obj = cdiv.getElementsByTagName('img') 
	
	if (titles[id] == undefined)
		{
		titles[id] = img_obj[0].getAttribute('title');
		}
	dinfo = document.getElementById('df_info');	
	if (titles[id] == null || titles[id] == '') 
		dinfo.style.display = 'none';
	else 
		{
		img_obj[0].removeAttribute('title');	
		dinfo.innerHTML = titles[id];			
		dinfo.style.display = 'block';
		}	
	}	
}

function df_start(id)
{
if (id == -2) 
	{
	id = df_cfg.next; 
	var set_new_int = false;
	}
else var set_new_int = true;

if (id > 0)
	{
	df_cfg.current = id;
	df_prepare_data(id)
	
	if (set_new_int != false)	
		{
		clearInterval(df_cfg.int_id); 	
		df_cfg.int_id = setInterval("df_start(-2)", df_cfg.delay);
		}	
	}

if (id != -1)
	{ 
	if (df_cfg.current == df_cfg.cnt) df_cfg.next = 1;
	else df_cfg.next = df_cfg.current + 1;
	}
else df_cfg.int_id = setInterval("df_start(-2)", df_cfg.delay);
}

function go_l(url)
{
if (url != '') location = url;	
}